class documentation

class DeprecatedAPI(object): (source)

View In Hierarchy

Provide helpers for DeprecatedAPI.

Method absolute_obj_path Implement 'absolute_obj_path'.
Method aggregate_list Implement 'aggregate_list'.
Method ajaxGetChildNodes ZMSObject.ajaxGetChildNodes
Method ajaxGetNode Generate an XML representation of the node with its properties and attributes.
Method ajaxGetNodes ZMSObject.ajaxGetNodes
Method ajaxGetParentNodes ZMSObject.ajaxGetParentNodes
Method buildZipArchive Implement 'buildZipArchive'.
Method compareDate Implement 'compareDate'.
Method concat_list Implement 'concat_list'.
Method copy_list Implement 'copy_list'.
Method daysBetween Implement 'daysBetween'.
Method dict_list Implement 'dict_list'.
Method difference_list Implement 'difference_list'.
Method distinct_list Implement 'distinct_list'.
Method dt_exec Implement 'dt_exec'.
Method dt_executable Implement 'dt_executable'.
Method encrypt_ordtype Implement 'encrypt_ordtype'.
Method encrypt_password Implement 'encrypt_password'.
Method encrypt_schemes Implement 'encrypt_schemes'.
Method extractZipArchive Implement 'extractZipArchive'.
Method f_bodyContent Implement 'f_bodyContent'.
Method f_headline Implement 'f_headline'.
Method f_selectInput Implement 'f_selectInput'.
Method filter_list Implement 'filter_list'.
Method get_colormap Return colormap.
Method get_id_prefix Return id prefix.
Method getCatalogNavUrl Return catalognavurl.
Method getDataSizeStr Return datasizestr.
Method getFile Return file.
Method getFormat Return format.
Method getImage Return image.
Method getINSTANCE_HOME Return instance home.
Method getLangFmtDate Return langfmtdate.
Method getLinkHtml Return linkhtml.
Method getMimeTypeIconSrc Return mimetypeiconsrc.
Method getPACKAGE_HOME Return package home.
Method getPRODUCT_HOME Return product home.
Method getTitleimage Return titleimage.
Method getXmlHeader Return xmlheader.
Method getZipArchive Return ziparchive.
Method http_import Implement 'http_import'.
Method id_quote Implement 'id_quote'.
Method intersection_list Implement 'intersection_list'.
Method isFeatureEnabled Return whether featureenabled.
Method js_quote Implement 'js_quote'.
Method meta_id_or_type Implement 'meta_id_or_type'.
Method nvl Implement 'nvl'.
Method operator_delattr Implement 'operator_delattr'.
Method operator_delitem Implement 'operator_delitem'.
Method operator_getattr Implement 'operator_getattr'.
Method operator_getitem Implement 'operator_getitem'.
Method operator_gettype Implement 'operator_gettype'.
Method operator_setattr Implement 'operator_setattr'.
Method operator_setitem Implement 'operator_setitem'.
Method parse_stylesheet Implement 'parse_stylesheet'.
Method parseLangFmtDate Implement 'parseLangFmtDate'.
Method parseXmlString Implement 'parseXmlString'.
Method processData Implement 'processData'.
Method rand_int Implement 'rand_int'.
Method re_findall Implement 're_findall'.
Method re_search Implement 're_search'.
Method re_sub Implement 're_sub'.
Method search_encode Implement 'search_encode'.
Method search_quote Implement 'search_quote'.
Method sendMail Implement 'sendMail'.
Method sort_list Implement 'sort_list'.
Method str_item Implement 'str_item'.
Method str_json Implement 'str_json'.
Method string_list Implement 'string_list'.
Method string_maxlen Implement 'string_maxlen'.
Method sync_list Implement 'sync_list'.
Method toXmlString Implement 'toXmlString'.
Method tree_list Implement 'tree_list'.
Method tree_parents Implement 'tree_parents'.
Method url_append_params Implement 'url_append_params'.
Method url_inherit_params Implement 'url_inherit_params'.
Method writeBlock Implement 'writeBlock'.
Method writeError Implement 'writeError'.
Method writeLog Implement 'writeLog'.
Method xmlNodeSet Implement 'xmlNodeSet'.
Method xmlParse Implement 'xmlParse'.
Method xslProcess Implement 'xslProcess'.
Method zmi_form_section_begin Implement 'zmi_form_section_begin'.
Method zmi_form_section_end Implement 'zmi_form_section_end'.
Method zmi_manage_css ZMSItem.zmi_manage_css
Class Variable f_bo_area Undocumented
Class Variable f_eo_area Undocumented
Class Variable f_submitBtn Undocumented
Class Variable security Undocumented
def absolute_obj_path(self): (source)

Implement 'absolute_obj_path'.

def aggregate_list(self, l, i): (source)

Implement 'aggregate_list'.

def ajaxGetChildNodes(self, lang, xml_header=True, meta_types=None, REQUEST=None): (source)

ZMSObject.ajaxGetChildNodes

def ajaxGetNode(self, context=None, lang=None, xml_header=True, meta_types=None, REQUEST=None): (source)

Generate an XML representation of the node with its properties and attributes.

This method constructs an XML document containing detailed information about the current ZMS object, including its URL, physical path, access permissions, and optionally its attributes based on configuration parameters.

Parameters
context:ZMSObject or NoneContext object used for generating absolute URLs and index_html references. If not provided, defaults to self.
lang:str or NoneLanguage identifier for retrieving localized title and titlealt values. If not provided, uses the current language context.
xml_header:boolFlag to determine whether to include XML declaration header and set appropriate HTTP response headers. When True, sets Content-Type to 'text/xml; charset=utf-8' and cache control headers.
meta_types:list or NoneFilter criteria for meta types. Currently defined but not actively used in filtering logic.
REQUEST:HTTPRequestHTTP request object containing form data and response object for setting headers. Required for proper functioning of this method.
Returns
XML string representation of the node containing element properties, attributes, and optional attribute values based on request parameters.
Note
Deprecated - Use the REST API instead. This method is deprecated in favor of modern REST API endpoints (++rest_api).
def ajaxGetNodes(self, context=None, lang=None, xml_header=True, REQUEST=None): (source)

ZMSObject.ajaxGetNodes

def ajaxGetParentNodes(self, lang, xml_header=True, meta_types=None, REQUEST=None): (source)

ZMSObject.ajaxGetParentNodes

def buildZipArchive(self, files, get_data=True): (source)

Implement 'buildZipArchive'.

def compareDate(self, t0, t1): (source)

Implement 'compareDate'.

def concat_list(self, l1, l2): (source)

Implement 'concat_list'.

def copy_list(self, l): (source)

Implement 'copy_list'.

def daysBetween(self, t0, t1): (source)

Implement 'daysBetween'.

def dict_list(self, l): (source)

Implement 'dict_list'.

def difference_list(self, l1, l2): (source)

Implement 'difference_list'.

def distinct_list(self, l, i=None): (source)

Implement 'distinct_list'.

def dt_exec(self, v, o={}): (source)

Implement 'dt_exec'.

def dt_executable(self, v): (source)

Implement 'dt_executable'.

def encrypt_ordtype(self, s): (source)

Implement 'encrypt_ordtype'.

def encrypt_password(self, pw, algorithm='md5', hex=False): (source)

Implement 'encrypt_password'.

def encrypt_schemes(self): (source)

Implement 'encrypt_schemes'.

def extractZipArchive(self, f): (source)

Implement 'extractZipArchive'.

def f_bodyContent(self, *args, **kwargs): (source)

Implement 'f_bodyContent'.

def f_headline(self, *args, **kwargs): (source)

Implement 'f_headline'.

def f_selectInput(self, *args, **kwargs): (source)

Implement 'f_selectInput'.

def filter_list(self, l, i, v, o='%'): (source)

Implement 'filter_list'.

def get_colormap(self): (source)

Return colormap.

def get_id_prefix(self, s): (source)

Return id prefix.

def getCatalogNavUrl(self, REQUEST): (source)

Return catalognavurl.

def getDataSizeStr(self, len): (source)

Return datasizestr.

def getFile(self, REQUEST): (source)

Return file.

def getFormat(self, REQUEST): (source)

Return format.

def getImage(self, REQUEST): (source)

Return image.

def getINSTANCE_HOME(self): (source)

Return instance home.

def getLangFmtDate(self, t, lang=None, fmt_str='SHORTDATETIME_FMT'): (source)

Return langfmtdate.

def getLinkHtml(self, url, html='<a href="%s">&raquo;</a>', REQUEST=None): (source)

Return linkhtml.

def getMimeTypeIconSrc(self, mt): (source)

Return mimetypeiconsrc.

def getPACKAGE_HOME(self): (source)

Return package home.

def getPRODUCT_HOME(self): (source)

Return product home.

def getTitleimage(self, REQUEST): (source)

Return titleimage.

def getXmlHeader(self, encoding='utf-8'): (source)

Return xmlheader.

def getZipArchive(self, f): (source)

Return ziparchive.

def http_import(self, url, method='GET', auth=None, parse_qs=0, timeout=10, headers={'Accept': '*/*'}, debug=0): (source)

Implement 'http_import'.

def id_quote(self, s, mapping={' ': '_', '-': '_', '/': '_'}): (source)

Implement 'id_quote'.

def intersection_list(self, l1, l2): (source)

Implement 'intersection_list'.

def isFeatureEnabled(self, feature=''): (source)

Return whether featureenabled.

def js_quote(self, text, charset=None): (source)

Implement 'js_quote'.

def meta_id_or_type(self): (source)

Implement 'meta_id_or_type'.

def nvl(self, a1, a2, n=None): (source)

Implement 'nvl'.

def operator_delattr(self, a, b): (source)

Implement 'operator_delattr'.

def operator_delitem(self, a, b): (source)

Implement 'operator_delitem'.

def operator_getattr(self, a, b, c=None): (source)

Implement 'operator_getattr'.

def operator_getitem(self, a, b, c=None, ignorecase=True): (source)

Implement 'operator_getitem'.

def operator_gettype(self, v): (source)

Implement 'operator_gettype'.

def operator_setattr(self, a, b, c): (source)

Implement 'operator_setattr'.

def operator_setitem(self, a, b, c): (source)

Implement 'operator_setitem'.

def parse_stylesheet(self): (source)

Implement 'parse_stylesheet'.

def parseLangFmtDate(self, s, lang=None, fmt_str=None, recflag=None): (source)

Implement 'parseLangFmtDate'.

def parseXmlString(self, xml): (source)

Implement 'parseXmlString'.

def processData(self, processId, data, trans=None): (source)

Implement 'processData'.

def rand_int(self, n): (source)

Implement 'rand_int'.

def re_findall(self, pattern, text, ignorecase=False): (source)

Implement 're_findall'.

def re_search(self, pattern, subject, ignorecase=False): (source)

Implement 're_search'.

def re_sub(self, pattern, replacement, subject, ignorecase=False): (source)

Implement 're_sub'.

def search_encode(self, s): (source)

Implement 'search_encode'.

def search_quote(self, s, maxlen=255, tag='&middot;'): (source)

Implement 'search_quote'.

def sendMail(self, mto, msubject, mbody, REQUEST=None, mattach=None): (source)

Implement 'sendMail'.

def sort_list(self, l, qorder=None, qorderdir='asc', ignorecase=1): (source)

Implement 'sort_list'.

def str_item(self, i): (source)

Implement 'str_item'.

def str_json(self, i, encoding='ascii', errors='xmlcharrefreplace', formatted=False, level=0): (source)

Implement 'str_json'.

def string_list(self, s, sep='\n', trim=True): (source)

Implement 'string_list'.

def string_maxlen(self, s, maxlen=20, etc='...', encoding=None): (source)

Implement 'string_maxlen'.

def sync_list(self, l, nl, i): (source)

Implement 'sync_list'.

def toXmlString(self, v, xhtml=False, encoding='utf-8'): (source)

Implement 'toXmlString'.

def tree_list(self, l, i='id', r='idId', v='', deep=0): (source)

Implement 'tree_list'.

def tree_parents(self, l, i='id', r='idId', v='', deep=1, reverse=1): (source)

Implement 'tree_parents'.

def url_append_params(self, url, dict, sep='&'): (source)

Implement 'url_append_params'.

def url_inherit_params(self, url, REQUEST, exclude=[], sep='&amp;'): (source)

Implement 'url_inherit_params'.

def writeBlock(self, info): (source)

Implement 'writeBlock'.

def writeError(self, info): (source)

Implement 'writeError'.

def writeLog(self, info): (source)

Implement 'writeLog'.

def xmlNodeSet(self, mNode, sTagName='', iDeep=0): (source)

Implement 'xmlNodeSet'.

def xmlParse(self, xml): (source)

Implement 'xmlParse'.

def xslProcess(self, xsl, xml): (source)

Implement 'xslProcess'.

def zmi_form_section_begin(self, *args, **kwargs): (source)

Implement 'zmi_form_section_begin'.

def zmi_form_section_end(self, *args, **kwargs): (source)

Implement 'zmi_form_section_end'.

def zmi_manage_css(self, *args, **kwargs): (source)

ZMSItem.zmi_manage_css

f_bo_area: str = (source)

Undocumented

f_eo_area: str = (source)

Undocumented

f_submitBtn: str = (source)

Undocumented

security = (source)

Undocumented